<?php

namespace Ipqualityscore\Ipqualityscore\Events\Observer;

use Magento\Framework\Event\ObserverInterface;
use Psr\Log\LoggerInterface;

class OrderView	 implements ObserverInterface
{
 protected $logger;
 protected $scopeConfig;

 public function __construct(LoggerInterface $logger,\Magento\Framework\App\RequestInterface $request, \Magento\Framework\View\Page\Config $pageConfig,  \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig ) {
     $this->logger = $logger;
     $this->_request = $request;
     $this->_page = $pageConfig;
     $this->scopeConfig = $scopeConfig;
 }

 public function execute(\Magento\Framework\Event\Observer $observer)
 {
    try {
        $html = '<div id="ipq-fraud-box" class="postbox ">
<button type="button" class="handlediv" aria-expanded="true"><span class="screen-reader-text">Alternar panel: IPQualityScore Fraud Information</span><span class="toggle-indicator" aria-hidden="true"></span></button><h2 class="hndle"><span>IPQualityScore Fraud Information</span></h2>
<div class="inside">
	<div class="wp-die-message"><p>Ha habido un error crítico en tu web. Por favor, revisa el buzón del correo electrónico de administración de tu sitio para instrucciones.</p><p><a href="https://wordpress.org/support/article/debugging-in-wordpress/">Aprende más sobre la depuración en WordPress.</a></p></div>

	</div></div>';
        
        if($this->_request->getFullActionName() == 'sales_order_view'){
        //echo $html;
        $isAuthed = $this->scopeConfig->getValue('ipqualityscore/general/auth_token',\Magento\Store\Model\ScopeInterface::SCOPE_STORE);
        if( $isAuthed ){
            $blockAll = $this->scopeConfig->getValue('ipqualityscore/general/block_all',\Magento\Store\Model\ScopeInterface::SCOPE_STORE);
            $blockVpn = $this->scopeConfig->getValue('ipqualityscore/general/block_vpn',\Magento\Store\Model\ScopeInterface::SCOPE_STORE);
            $blockTor = $this->scopeConfig->getValue('ipqualityscore/general/block_tor',\Magento\Store\Model\ScopeInterface::SCOPE_STORE);
            $strictness = $this->scopeConfig->getValue('ipqualityscore/general/strictness',\Magento\Store\Model\ScopeInterface::SCOPE_STORE);
            $allowPublic = $this->scopeConfig->getValue('ipqualityscore/general/allow_public',\Magento\Store\Model\ScopeInterface::SCOPE_STORE)?true:false;
            $allowCrawlers = $this->scopeConfig->getValue('ipqualityscore/general/allow_crawlers',\Magento\Store\Model\ScopeInterface::SCOPE_STORE)?true:false;
            $blockScore = $this->scopeConfig->getValue('ipqualityscore/general/block_score',\Magento\Store\Model\ScopeInterface::SCOPE_STORE);
            $redirect = $this->scopeConfig->getValue('ipqualityscore/general/redirect',\Magento\Store\Model\ScopeInterface::SCOPE_STORE);
	    $allowAdminProxyLogin =  $this->scopeConfig->getValue('ipqualityscore/general/allow_admin_login',\Magento\Store\Model\ScopeInterface::SCOPE_STORE);
	    //$client = new \IpqualityScore\Integration($isAuthed, 'magentov2');
	    //$order = $observer->getEvent()->getOrder();
            //$this->logger->debug(serialize($order->getId()));
            //$order = Mage::getModel('sales/order')->loadByIncrementId($order_number);
        }
        }
    }catch (\Exception $e) {
        $this->logger->info($e->getMessage());
echo $e->getMessage();die();
    }
 }
}
