<?php

namespace IPQualityScore\IPQualityScore\Controller\Adminhtml\Index;

use Magento\Backend\App\Action\Context;
use Magento\Framework\View\Result\PageFactory;

class ClearCache extends \Magento\Backend\App\Action
{
    protected $resultPageFactory;
    private $configWriter;

    public function __construct(
        Context $context,
        PageFactory $resultPageFactory,
        \Magento\Framework\App\Config\Storage\WriterInterface $configWriter,
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
    ) {
        parent::__construct($context);
        $this->resultPageFactory = $resultPageFactory;
        $this->configWriter = $configWriter;
        $this->scopeConfig = $scopeConfig;
    }

    public function execute()
    {
        try {
            $this->configWriter->save('ipqualityscore/general/auth_token', null, $scope = \Magento\Framework\App\Config\ScopeConfigInterface::SCOPE_TYPE_DEFAULT, $scopeId = 0);
            echo 
            '
                <script>
                    var timer = setInterval(function() { 
                        window.close();
                    }, 100);
                </script>
            ';
            die();
        } catch (Exception $e) {
            die(print_r($e->getMessage(), true));
        }
    }
}
